package org.springblade.system.mapper;

import org.springblade.system.domain.ArchivalCatalogueDto;
import org.springblade.system.domain.DaKyProFilesContentsDto;
import org.springblade.system.domain.ProjectDto;
import org.springblade.system.domain.SelectDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/9 - 14:47
 */
public interface ProjectMapper {
    List<ProjectDto> list(ProjectDto dto);

    List<SelectDto> getFileCatalogSelect();

    Integer updateContentsName(ProjectDto projectDto);

    Integer insertDakyProFilesContents(DaKyProFilesContentsDto dakyProFilesContentsDto);

    List<ArchivalCatalogueDto> getfilesContentsById(ProjectDto projectDto);

    Integer updateFileStatus(DaKyProFilesContentsDto dto);

	ProjectDto getProjectNameById(ProjectDto dto);

	List<ProjectDto> getArchivingManageList(ProjectDto dto);

	String getAuditStatus(ProjectDto dto);

}
